GETPre-match odds
Pre-match odds by bookmaker and market.
/v2.2/fixtures/ with t=match_odds
Try it in the interactive referenceAll Fixtures operations
Request
GET /v2.2/fixtures/?user=USER&token=TOKEN&t=match_odds&id=2589310- Dataset theme: odds. Themed plans include only their own theme; Free and Standard plans include every theme for their leagues.
- Every request needs the
userandtokenquery parameters of the account.
Parameters
| Name | Required | Description | Example |
|---|---|---|---|
id | yes | Match ID. | 2589310 |
odds_format | no | Odds format on odds datasets: decimal (default), fractional or american. | decimal |
Example response
{
"data": [
{
"id": 1,
"name": "1X2, Full Time Result",
"bookmakers": [
{
"id": 2,
"name": "bet365",
"odds": {
"data": {
"home": "1.850",
"draw": "3.600",
"away": "3.800",
"handicap": null,
"score": null,
"minute": null,
"bookmaker_event_id": null,
"last_update": {
"date": "2026-08-22 18:24",
"timezone": "UTC"
}
}
}
}
]
},
{
"id": 2,
"name": "Over/Under, Goal Line",
"bookmakers": [
{
"id": 2,
"name": "bet365",
"odds": {
"data": [
{
"over": "1.975",
"under": "1.875",
"handicap": "2.5,3.0",
"score": null,
"minute": null,
"bookmaker_event_id": null,
"last_update": {
"date": "2026-08-22 19:30",
"timezone": "UTC"
}
}
]
}
}
]
}
],
"meta": {
"requests_left": 2950,
"user": "your_username",
"plan": "Soccer API 50",
"page": 1,
"pages": 1,
"count": 3,
"total": 3,
"msg": ""
}
}